﻿// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.
// See the LICENSE file in the project root for more information.

namespace Microsoft.CodeAnalysis.Features.RQName
{
    internal sealed class RQNameStrings
    {
        internal const string Namespace = "Ns";
        internal const string Agg = "Agg";
        internal const string MembVar = "Membvar";
        internal const string Event = "Event";
        internal const string Meth = "Meth";
        internal const string Prop = "Prop";
        internal const string Params = "Params";
        internal const string Param = "Param";
        internal const string ParamMod = "ParamMod";
        internal const string AggType = "AggType";
        internal const string TypeParams = "TypeParams";
        internal const string Array = "Array";
        internal const string Pointer = "Ptr";
        internal const string Ref = "Ref";
        internal const string Out = "Out";
        internal const string TyVar = "TyVar";
        internal const string Void = "Void";
        internal const string Error = "Error";
        internal const string Null = "Null";
        internal const string Dynamic = "::dynamic";
        internal const string NsName = "NsName";
        internal const string AggName = "AggName";
        internal const string MembVarName = "MembvarName";
        internal const string MethName = "MethName";
        internal const string PropName = "PropName";
        internal const string EventName = "EventName";
        internal const string IntfExplName = "IntfExplName";
        internal const string TypeVarCnt = "TypeVarCnt";
        internal const string MemberParamIndex = "MemberParamIndex";
        internal const string NotPartial = "NotPartial";
        internal const string PartialSignature = "PartialSignature";
        internal const string PartialImplementation = "PartialImplementation";

        // special names used by the compiler
        internal const string SpecialIndexerName = "$Item$";
        internal const string SpecialConstructorName = ".ctor";
        internal const string SpecialDestructorName = "Finalize";
        internal const string SpecialStaticConstructorName = ".cctor";
    }
}
